package com.quantgroup.asset.distribution.notify;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import com.quantgroup.asset.distribution.AssetDistributionBootstrap;
import com.quantgroup.asset.distribution.enums.funding.FundingResult;
import com.quantgroup.asset.distribution.service.httpclient.IHttpService;
import com.quantgroup.asset.distribution.service.notify.INotifyService;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = AssetDistributionBootstrap.class)
public class NotifyTest {
	
	@Autowired
	private INotifyService notifyService;
	@Autowired
	private IHttpService httpService;
	
	@Test
	public void testBusinessFlow() {
		notifyService.notifyBusinessFlow("SP527400898415178843596841", FundingResult.REJECT, System.currentTimeMillis() + "");
	}
	
	@Test
	public void test() {
		httpService.get("https://www.baidu.com");
	}
	
	public static void main(String[] args) {
		String a = "2019-11-12 01:20:30";
		String b = "2019-11-12 01:20:30";
		
		System.out.println(a.length());
	}
}
